libgimpprint API Reference: bit-ops.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/bit-ops.c File Reference

`#include <string.h>`
`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`

Go to the source code of this file.

## Defines
#define | SH20 0
#define | SH21 8
#define | SH40 0
#define | SH41 8
#define | SH42 16
#define | SH43 24
## Functions
void | stp_fold (const unsigned char *line, int single_length, unsigned char *outbuf)
void | stpi_split_2_1 (int length, const unsigned char *in, unsigned char *outhi, unsigned char *outlo)
void | stp_split_2_2 (int length, const unsigned char *in, unsigned char *outhi, unsigned char *outlo)
void | stp_split_2 (int length, int bits, const unsigned char *in, unsigned char *outhi, unsigned char *outlo)
void | stpi_split_4_1 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stpi_split_4_2 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stp_split_4 (int length, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stpi_unpack_2_1 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1)
void | stpi_unpack_2_2 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1)
void | stp_unpack_2 (int length, int bits, const unsigned char *in, unsigned char *outlo, unsigned char *outhi)
void | stpi_unpack_4_1 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stpi_unpack_4_2 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stp_unpack_4 (int length, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3)
void | stpi_unpack_8_1 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3, unsigned char *out4, unsigned char *out5, unsigned char *out6, unsigned char *out7)
void | stpi_unpack_8_2 (int length, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3, unsigned char *out4, unsigned char *out5, unsigned char *out6, unsigned char *out7)
void | stp_unpack_8 (int length, int bits, const unsigned char *in, unsigned char *out0, unsigned char *out1, unsigned char *out2, unsigned char *out3, unsigned char *out4, unsigned char *out5, unsigned char *out6, unsigned char *out7)
void | find_first_and_last (const unsigned char *line, int length, int *first, int *last)
int | stp_pack_uncompressed (stp_vars_t *v, const unsigned char *line, int length, unsigned char *comp_buf, unsigned char **comp_ptr, int *first, int *last)
int | stp_pack_tiff (stp_vars_t *v, const unsigned char *line, int length, unsigned char *comp_buf, unsigned char **comp_ptr, int *first, int *last)

## Define Documentation

#define SH20 0

| Definition at line 330 of file bit-ops.c.

#define SH21 8

| Definition at line 331 of file bit-ops.c.

#define SH40 0

| Definition at line 434 of file bit-ops.c.

#define SH41 8

| Definition at line 435 of file bit-ops.c.

#define SH42 16

| Definition at line 436 of file bit-ops.c.

#define SH43 24

| Definition at line 437 of file bit-ops.c.

## Function Documentation

void find_first_and_last | ( | const unsigned char * | line,
|  | int | length,
|  | int * | first,
|  | int * | last
| ) | `[static]`

| Definition at line 781 of file bit-ops.c. Referenced by stp_pack_tiff(), and stp_pack_uncompressed().

void stp_fold | ( | const unsigned char * | line,
|  | int | single_length,
|  | unsigned char * | outbuf
| ) |

| Definition at line 40 of file bit-ops.c. Referenced by stp_write_weave().

int stp_pack_tiff | ( | stp_vars_t * | v,
|  | const unsigned char * | line,
|  | int | length,
|  | unsigned char * | comp_buf,
|  | unsigned char ** | comp_ptr,
|  | int * | first,
|  | int * | last
| ) |

| Definition at line 824 of file bit-ops.c. References find_first_and_last(), and stp_vars_t. Referenced by canon_write().

int stp_pack_uncompressed | ( | stp_vars_t * | v,
|  | const unsigned char * | line,
|  | int | length,
|  | unsigned char * | comp_buf,
|  | unsigned char ** | comp_ptr,
|  | int * | first,
|  | int * | last
| ) |

| Definition at line 806 of file bit-ops.c. References find_first_and_last(), and stp_vars_t.

void stp_split_2 | ( | int | length,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | outhi,
|  | unsigned char * | outlo
| ) |

| Definition at line 183 of file bit-ops.c. References stp_split_2_2(), and stpi_split_2_1(). Referenced by stp_write_weave().

void stp_split_2_2 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | outhi,
|  | unsigned char * | outlo
| ) | `[static]`

| Definition at line 140 of file bit-ops.c. Referenced by stp_split_2().

void stp_split_4 | ( | int | length,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) |

| Definition at line 314 of file bit-ops.c. References stpi_split_4_1(), and stpi_split_4_2(). Referenced by stp_write_weave().

void stp_unpack_2 | ( | int | length,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | outlo,
|  | unsigned char * | outhi
| ) |

| Definition at line 421 of file bit-ops.c. References stpi_unpack_2_1(), and stpi_unpack_2_2(). Referenced by stp_write_weave().

void stp_unpack_4 | ( | int | length,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) |

| Definition at line 571 of file bit-ops.c. References stpi_unpack_4_1(), and stpi_unpack_4_2(). Referenced by stp_write_weave().

void stp_unpack_8 | ( | int | length,
|  | int | bits,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3,
|  | unsigned char * | out4,
|  | unsigned char * | out5,
|  | unsigned char * | out6,
|  | unsigned char * | out7
| ) |

| Definition at line 760 of file bit-ops.c. References stpi_unpack_8_1(), and stpi_unpack_8_2(). Referenced by stp_write_weave().

void stpi_split_2_1 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | outhi,
|  | unsigned char * | outlo
| ) | `[static]`

| Definition at line 77 of file bit-ops.c. Referenced by stp_split_2().

void stpi_split_4_1 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) | `[static]`

| Definition at line 196 of file bit-ops.c. Referenced by stp_split_4().

void stpi_split_4_2 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) | `[static]`

| Definition at line 265 of file bit-ops.c. Referenced by stp_split_4().

void stpi_unpack_2_1 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1
| ) | `[static]`

| Definition at line 338 of file bit-ops.c. Referenced by stp_unpack_2().

void stpi_unpack_2_2 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1
| ) | `[static]`

| Definition at line 394 of file bit-ops.c. Referenced by stp_unpack_2().

void stpi_unpack_4_1 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) | `[static]`

| Definition at line 446 of file bit-ops.c. Referenced by stp_unpack_4().

void stpi_unpack_4_2 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3
| ) | `[static]`

| Definition at line 508 of file bit-ops.c. Referenced by stp_unpack_4().

void stpi_unpack_8_1 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3,
|  | unsigned char * | out4,
|  | unsigned char * | out5,
|  | unsigned char * | out6,
|  | unsigned char * | out7
| ) | `[static]`

| Definition at line 586 of file bit-ops.c. Referenced by stp_unpack_8().

void stpi_unpack_8_2 | ( | int | length,
|  | const unsigned char * | in,
|  | unsigned char * | out0,
|  | unsigned char * | out1,
|  | unsigned char * | out2,
|  | unsigned char * | out3,
|  | unsigned char * | out4,
|  | unsigned char * | out5,
|  | unsigned char * | out6,
|  | unsigned char * | out7
| ) | `[static]`

| Definition at line 666 of file bit-ops.c. Referenced by stp_unpack_8().